## obexftp 0.24

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.5)
project ( obexftp C )

#
# The project version
#
set ( VERSION_MAJOR 0 )
set ( VERSION_MINOR 24 )
set ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}" )

#
# The path for our own CMake modules
#
set ( CMAKE_MODULE_PATH
  ${PROJECT_SOURCE_DIR}/CMakeModules
)

#
# Define the default build type
#
set ( CMAKE_CONFIGURATION_TYPES "Release;Debug"
      CACHE STRING "" FORCE )
if ( NOT CMAKE_BUILD_TYPE )
  set ( CMAKE_BUILD_TYPE Release
        CACHE STRING "Build type" FORCE )
endif ( NOT CMAKE_BUILD_TYPE )

include ( MaintainerMode )
include ( GNUInstallDirs )

#
# define how to build libraries
#
option ( BUILD_SHARED_LIBS "Build shared libraries" ON )


include_directories (
  ${PROJECT_SOURCE_DIR}
  ${PROJECT_SOURCE_DIR}/includes
)

#
# many parts of this project need the OpenObex includes
#
find_package ( OpenObex ${OpenObex_FORCE_VERSION} QUIET NO_MODULE)
if ( NOT OpenObex_FOUND )
  find_package ( OpenObex REQUIRED )
endif ( NOT OpenObex_FOUND )
include_directories ( ${OpenObex_INCLUDE_DIRS} )

#
# some code is only included if bluetooth is available
#
find_package ( Bluetooth )
if ( Bluetooth_FOUND )
  include_directories ( ${Bluetooth_INCLUDE_DIRS} )
  add_definitions ( -DHAVE_BLUETOOTH -DHAVE_SDP )
endif ( Bluetooth_FOUND )

add_subdirectory ( bfb )
add_subdirectory ( multicobex )
add_subdirectory ( obexftp )
add_subdirectory ( apps )
add_subdirectory ( fuse )
add_subdirectory ( swig )
add_subdirectory ( doc )
#examples

set ( prefix      "${CMAKE_INSTALL_PREFIX}" )
set ( exec_prefix "\${prefix}" )
set ( libdir      "\${prefix}/${CMAKE_INSTALL_LIBDIR}" )
set ( includedir  "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}" )
set ( REQUIRES    "bluetooth openobex" )
configure_file (
  ${CMAKE_CURRENT_SOURCE_DIR}/obexftp.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/obexftp.pc
  @ONLY
)

if ( NOT CMAKE_INSTALL_PKGCONFIGDIR )
  set ( CMAKE_INSTALL_PKGCONFIGDIR ${CMAKE_INSTALL_LIBDIR}/pkgconfig
        CACHE PATH "Where to install .pc files to" FORCE )
endif ( NOT CMAKE_INSTALL_PKGCONFIGDIR )
mark_as_advanced ( CMAKE_INSTALL_PKGCONFIGDIR )

install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/obexftp.pc
  DESTINATION ${CMAKE_INSTALL_PKGCONFIGDIR}
  COMPONENT devel
)

=== apps/CMakeLists.txt ===

add_definitions( -DVERSION="${VERSION}" )

# always set this
add_definitions ( -DHAVE_USB )

add_executable ( obexftp_app obexftp.c )
target_link_libraries ( obexftp_app obexftp )
set_target_properties ( obexftp_app PROPERTIES
  OUTPUT_NAME obexftp
)


add_executable ( obexftpd_app obexftpd.c )
target_link_libraries ( obexftpd_app obexftp )
set_target_properties ( obexftpd_app PROPERTIES
  OUTPUT_NAME obexftpd
)

add_executable ( discovery_app discovery.c )
target_link_libraries ( discovery_app obexftp )
set_target_properties ( discovery_app PROPERTIES
  OUTPUT_NAME obexftp-discovery
)

install ( TARGETS obexftp_app obexftpd_app
  RUNTIME
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT applications
)

=== bfb/CMakeLists.txt ===

set ( bfb_SOURCES
  bfb.c
  bfb_io.c
  crc.c
)

set ( bfb_PUBLIC_HEADERS
  bfb.h
  bfb_io.h
)

set ( bfb_HEADERS
  crc.h
  ${bfb_PUBLIC_HEADERS}
)

add_library ( bfb
  ${bfb_SOURCES}
  ${bfb_HEADERS}
)

set_property ( TARGET bfb PROPERTY VERSION 0.0.5 )
set_property ( TARGET bfb PROPERTY SOVERSION 0 )
set_property ( TARGET bfb PROPERTY PUBLIC_HEADER ${bfb_PUBLIC_HEADERS} )

install ( TARGETS bfb
  RUNTIME
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT library
  LIBRARY
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT library
  ARCHIVE
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT devel
  PUBLIC_HEADER
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/bfb
    COMPONENT devel
)

=== doc/CMakeLists.txt ===

find_program ( ASCIIDOC_EXECUTABLE asciidoc )
find_program ( XMLTO_EXECUTABLE xmlto )

set ( PROGRAMS
  obexftp
  obexftpd
)

foreach ( program ${PROGRAMS} )
  set ( ASCIIDOC_INPUT ${CMAKE_CURRENT_SOURCE_DIR}/${program}.1.txt )
  set ( ASCIIDOC_XML_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${program}.1.xml )
  set ( ASCIIDOC_HTML_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${program}.1.html )

  add_custom_command ( OUTPUT ${ASCIIDOC_XML_OUTPUT}
    COMMAND ${ASCIIDOC_EXECUTABLE}
    ARGS --doctype=manpage --backend=docbook
	 -o ${ASCIIDOC_XML_OUTPUT} ${ASCIIDOC_INPUT}
    DEPENDS ${ASCIIDOC_INPUT}
    VERBATIM
  )

  add_custom_command ( OUTPUT ${ASCIIDOC_HTML_OUTPUT}
    COMMAND ${ASCIIDOC_EXECUTABLE}
    ARGS --doctype=manpage --backend=xhtml11
	 -o ${ASCIIDOC_HTML_OUTPUT} ${ASCIIDOC_INPUT}
    DEPENDS ${ASCIIDOC_INPUT}
    VERBATIM
  )
  list ( APPEND html_help_files ${ASCIIDOC_HTML_OUTPUT} )

  add_custom_command ( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${program}.1
    COMMAND ${XMLTO_EXECUTABLE}
    ARGS -o ${CMAKE_CURRENT_BINARY_DIR} man ${ASCIIDOC_XML_OUTPUT}
    DEPENDS ${ASCIIDOC_XML_OUTPUT}
    VERBATIM
  )
  list ( APPEND manpage_files ${CMAKE_CURRENT_BINARY_DIR}/${program}.1 )

endforeach ( program )

add_custom_target ( doc 
  DEPENDS ${manpage_files}
)

install ( FILES ${manpage_files}
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
  COMPONENT documentation
  OPTIONAL
)

add_custom_target ( htmldoc
  DEPENDS ${html_help_files}
)

install ( FILES ${html_help_files}
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/html
  COMPONENT documentation
  OPTIONAL
)

=== fuse/CMakeLists.txt ===

find_package ( Fuse )

if ( Fuse_FOUND )
  include_directories ( ${Fuse_INCLUDE_DIRS} )
  add_definitions ( ${Fuse_DEFINITIONS} )

  add_executable ( obexfs
    obexfs.c
  )

  target_link_libraries ( obexfs
    obexftp
    ${Fuse_LIBRARIES}
  )


  add_executable ( obexautofs
    obexautofs.c
  )

  target_link_libraries ( obexautofs
    obexftp
    ${Fuse_LIBRARIES}
  )
endif ( Fuse_FOUND )

=== multicobex/CMakeLists.txt ===

set ( multicobex_SOURCES
  multi_cobex.c
)

set ( multicobex_PUBLIC_HEADERS
  multi_cobex.h
)

set ( multicobex_HEADERS
  multi_cobex.h
  ${multicobex_PUBLIC_HEADERS}
)

add_library ( multicobex
  ${multicobex_SOURCES}
  ${multicobex_HEADERS}
)

set_property ( TARGET multicobex PROPERTY VERSION 1.0.1 )
set_property ( TARGET multicobex PROPERTY SOVERSION 1 )
set_property ( TARGET multicobex PROPERTY PUBLIC_HEADER ${multicobex_PUBLIC_HEADERS} )

target_link_libraries ( multicobex
  bfb
)

install ( TARGETS multicobex
  RUNTIME
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT library
  LIBRARY
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT library
  ARCHIVE
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT devel
  PUBLIC_HEADER
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/multicobex
    COMPONENT devel
)

=== obexftp/CMakeLists.txt ===

set ( obexftp_SOURCES
  object.c
  client.c
  obexftp_io.c
  cache.c
  unicode.c
  bt_kit.c
)

set ( obexftp_PUBLIC_HEADERS
  obexftp.h
  client.h
  uuid.h
  object.h
)

set ( obexftp_HEADERS
  object.h
  obexftp_io.h
  cache.h
  unicode.h
  bt_kit.h
  ${obexftp_PUBLIC_HEADERS}
)

find_package ( Iconv REQUIRED )
add_definitions ( -DHAVE_ICONV )
if ( ICONV_USES_CONST )
  add_definitions ( -DICONV_CONST=const )
endif ( ICONV_USES_CONST )
find_file ( HAVE_LANGINFO_H NAMES langinfo.h )
if ( HAVE_LANGINFO_H )
  add_definitions ( -DHAVE_LANGINFO_H )
endif ( HAVE_LANGINFO_H )

# always set this
add_definitions ( -DHAVE_USB )

add_library ( obexftp
  ${obexftp_SOURCES}
  ${obexftp_HEADERS}
)

set_property ( TARGET obexftp PROPERTY VERSION 0.3.0 )
set_property ( TARGET obexftp PROPERTY SOVERSION 0 )
set_property ( TARGET obexftp PROPERTY PUBLIC_HEADER ${obexftp_PUBLIC_HEADERS} )

target_link_libraries ( obexftp
  multicobex
  ${Bluetooth_LIBRARIES}
  ${OpenObex_LIBRARIES}
)

install ( TARGETS obexftp
  RUNTIME
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT library
  LIBRARY
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT library
  ARCHIVE
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT devel
  PUBLIC_HEADER
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/obexftp
    COMPONENT devel
)

=== swig/perl/CMakeLists.txt ===

find_package ( PerlLibs REQUIRED )

#foreach ( lib SITESEARCH SITELIB VENDORARCH VENDORLIB ARCHLIB PRIVLIB )
#  message ( "PERL_${lib}: ${PERL_${lib}}" )
#endforeach ( lib )

add_definitions ( ${PERL_EXTRA_C_FLAGS} )
include_directories ( ${PERL_ARCHLIB}/CORE )

foreach ( src ${obexftp_SWIG_SOURCES} )
  list ( APPEND obexftp-perl_SWIG_SOURCES ../${src} )
endforeach ( src )

set ( CMAKE_SWIG_FLAGS -module OBEXFTP )
set ( SWIG_PYTHON_EXTRA_FILE_EXTENSION "pm" )
set_source_files_properties ( ${obexftp-python_SWIG_SOURCES} PROPERTIES
  SWIG_MODULE_NAME OBEXFTP
)

swig_add_module ( obexftp-perl perl ${obexftp-perl_SWIG_SOURCES} )

set_target_properties ( ${SWIG_MODULE_obexftp-perl_REAL_NAME} PROPERTIES
  OUTPUT_NAME OBEXFTP
  PREFIX ""
)

swig_link_libraries ( obexftp-perl
  obexftp
)

#
# Get the install directory for ruby modules and strip the ruby install prefix
# so that we can use our own prefix.
#
execute_process (
  COMMAND ${PERL_EXECUTABLE} -V:installprefix
  OUTPUT_VARIABLE PERL_PREFIX
)
string ( REGEX REPLACE "install[a-z]+='([^']+)'.*" "\\1"
  PERL_PREFIX ${PERL_PREFIX} )
file ( TO_CMAKE_PATH "${PERL_PREFIX}" PERL_PREFIX )

execute_process (
  COMMAND ${PERL_EXECUTABLE} -V:installvendorarch
  OUTPUT_VARIABLE PERL_FULL_VENDOR_ARCH_DIR
)
string ( REGEX REPLACE "install[a-z]+='([^']+)'.*" "\\1"
  PERL_FULL_VENDOR_ARCH_DIR ${PERL_FULL_VENDOR_ARCH_DIR} )
file ( TO_CMAKE_PATH "${PERL_FULL_VENDOR_ARCH_DIR}" PERL_FULL_VENDOR_ARCH_DIR )

string ( REGEX REPLACE "^${PERL_PREFIX}/" ""
  PERL_VENDOR_ARCH_DIR "${PERL_FULL_VENDOR_ARCH_DIR}"
)


install ( TARGETS ${SWIG_MODULE_obexftp-perl_REAL_NAME}
  LIBRARY
    DESTINATION ${PERL_VENDOR_ARCH_DIR}/auto/OBEXFTP
    COMPONENT library
)

install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/OBEXFTP.pm
  DESTINATION ${PERL_VENDOR_ARCH_DIR}
  COMPONENT library
)

=== swig/python/CMakeLists.txt ===

find_package ( PythonLibs REQUIRED )
find_package ( PythonInterp REQUIRED )

if ( PYTHON_VERSION_STRING AND PYTHONLIBS_VERSION_STRING )
  if ( NOT PYTHON_VERSION_STRING VERSION_EQUAL PYTHONLIBS_VERSION_STRING )
    message ( FATAL_ERROR
            "Version mismatch between python interpreter and libraries" )
  endif ( NOT PYTHON_VERSION_STRING VERSION_EQUAL PYTHONLIBS_VERSION_STRING )
endif ( PYTHON_VERSION_STRING AND PYTHONLIBS_VERSION_STRING )

include_directories ( ${PYTHON_INCLUDE_DIRS} )

foreach ( src ${obexftp_SWIG_SOURCES} )
  list ( APPEND obexftp-python_SWIG_SOURCES ../${src} )
endforeach ( src )

set ( CMAKE_SWIG_FLAGS -module obexftp )
set_source_files_properties ( ${obexftp-python_SWIG_SOURCES} PROPERTIES
  SWIG_MODULE_NAME obexftp
)

swig_add_module ( obexftp-python python ${obexftp-python_SWIG_SOURCES} )

set_target_properties ( ${SWIG_MODULE_obexftp-python_REAL_NAME} PROPERTIES
  OUTPUT_NAME _obexftp
)

swig_link_libraries ( obexftp-python
  obexftp
)

#
# Get the install directory for ruby modules and strip the ruby install prefix
# so that we can use our own prefix.
#
execute_process (
  COMMAND ${PYTHON_EXECUTABLE} -c
  	"import site, sys; sys.stdout.write(site.PREFIXES[-1])"
  OUTPUT_VARIABLE PYTHON_PREFIX
)
file ( TO_CMAKE_PATH "${PYTHON_PREFIX}" PYTHON_PREFIX )
execute_process (
  COMMAND ${PYTHON_EXECUTABLE} -c
  	"import site, sys; sys.stdout.write(site.getsitepackages()[-1])"
  OUTPUT_VARIABLE PYTHON_SITE_DIR
)
file ( TO_CMAKE_PATH "${PYTHON_SITE_DIR}" PYTHON_SITE_DIR )
string ( REGEX REPLACE "^${PYTHON_PREFIX}/" ""
  PYTHON_SITE_DIR "${PYTHON_SITE_DIR}"
)

install ( TARGETS ${SWIG_MODULE_obexftp-python_REAL_NAME}
  LIBRARY
    DESTINATION ${PYTHON_SITE_DIR}
    COMPONENT library
)

install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/obexftp.py
  DESTINATION ${PYTHON_SITE_DIR}
  COMPONENT library
)

=== swig/ruby/CMakeLists.txt ===

find_package ( Ruby REQUIRED )

include_directories ( ${RUBY_INCLUDE_DIRS} )

foreach ( src ${obexftp_SWIG_SOURCES} )
  list ( APPEND obexftp-ruby_SWIG_SOURCES ../${src} )
endforeach ( src )

set ( CMAKE_SWIG_FLAGS -module obexftp )
set_source_files_properties ( ${obexftp-ruby_SWIG_SOURCES} PROPERTIES
  SWIG_MODULE_NAME obexftp
)

swig_add_module ( obexftp-ruby ruby ${obexftp-ruby_SWIG_SOURCES} )

set_target_properties ( ${SWIG_MODULE_obexftp-ruby_REAL_NAME} PROPERTIES
  OUTPUT_NAME obexftp
  PREFIX ""
)

swig_link_libraries ( obexftp-ruby
  obexftp
)

#
# Get the install directory for ruby modules and strip the ruby install prefix
# so that we can use our own prefix.
#
execute_process (
  COMMAND ${RUBY_EXECUTABLE} -r rbconfig
                             -e "print RbConfig::CONFIG['prefix']"
  OUTPUT_VARIABLE RUBY_PREFIX
)
file ( TO_CMAKE_PATH "${RUBY_PREFIX}" RUBY_PREFIX )
execute_process (
  COMMAND ${RUBY_EXECUTABLE} -r rbconfig
                             -e "print RbConfig::CONFIG['vendorarchdir']"
  OUTPUT_VARIABLE RUBY_FULL_VENDOR_ARCH_DIR
)
file ( TO_CMAKE_PATH "${RUBY_FULL_VENDOR_ARCH_DIR}" RUBY_FULL_VENDOR_ARCH_DIR )
string ( REGEX REPLACE "^${RUBY_PREFIX}/" ""
  RUBY_VENDOR_ARCH_DIR "${RUBY_FULL_VENDOR_ARCH_DIR}"
)


install ( TARGETS ${SWIG_MODULE_obexftp-ruby_REAL_NAME}
  LIBRARY
    DESTINATION ${RUBY_VENDOR_ARCH_DIR}
    COMPONENT library
)

=== swig/tcl/CMakeLists.txt ===

find_package ( TCL )

if ( TCL_FOUND )
  include_directories ( ${TCL_INCLUDE_PATH} )

  foreach ( src ${obexftp_SWIG_SOURCES} )
    list ( APPEND obexftp-tcl_SWIG_SOURCES ../${src} )
  endforeach ( src )

  set ( CMAKE_SWIG_FLAGS -module obexftp )
  set_source_files_properties ( ${obexftp-tcl_SWIG_SOURCES} PROPERTIES
    SWIG_MODULE_NAME obexftp
  )

  swig_add_module ( obexftp-tcl tcl ${obexftp-tcl_SWIG_SOURCES} )

  set_target_properties ( ${SWIG_MODULE_obexftp-tcl_REAL_NAME} PROPERTIES
    OUTPUT_NAME obexftp
    PREFIX ""
  )

  swig_link_libraries ( obexftp-tcl
    obexftp
  )

  install ( TARGETS ${SWIG_MODULE_obexftp-tcl_REAL_NAME}
    LIBRARY
      DESTINATION ${CMAKE_INSTALL_LIBDIR}
      COMPONENT library
  )
endif ( TCL_FOUND )

=== debian/changelog ===
obexftp (0.24-5build4) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:17 +0000

obexftp (0.24-5build3) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:01:53 +0000

obexftp (0.24-5build2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 19:53:12 +0000

obexftp (0.24-5build1) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 23 Oct 2016 12:11:32 +0100

obexftp (0.24-5) unstable; urgency=medium

  * QA upload.
  * Add missing dependency on librubyX.Y

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 24 Mar 2016 20:45:04 +0000

obexftp (0.24-4) unstable; urgency=medium

  * QA upload.
  * Add patch to revert the change in the bluez module name.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 13:12:53 +0000

obexftp (0.24-3) unstable; urgency=medium

  * QA upload.
  * Swap libobexftp0-dev dependency on libopenobex2-dev to libopenobex1-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 11:56:10 +0000

obexftp (0.24-2) unstable; urgency=medium

  * QA upload.
  * Swap Build-Dependency on libopenobex1-dev to libopenobex2-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 00:54:34 +0000

obexftp (0.24-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 0.24.  Closes: #769819, #811054
  * debian/control:
    + Set Vcs-* to a collab-maint repository.
    + Bump Standards-Version to 3.9.7, no changes needed.
    + Drop duplicated Section field.
    + Add B-D on cmake, remove B-D on dh-autoreconf.
  * Run wrap-and-sort.
  * debian/patches: drop all of them, obsolete with new upstream version.
  * debian/rules:
    + Rewrite using dh sequencer and semplify it quite some.
    + Enable hardening.
  * debian/*.install: update for multiarch paths and remove static libraries
    not built anymore.
  * debian/copyright: add new upstream copyright holder.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Feb 2016 21:50:47 +0000

obexftp (0.23-6) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * The binary-indep target failed to create libobexftp-ruby which
    was architecture-independent. However, this package was dummy
    and a stable release has already happened. Drop it completely.
  * debian/rules: Drop some useless/unused/unnecessary stuff.

 -- Santiago Vila <sanvila@debian.org>  Sat, 31 Oct 2015 23:09:00 +0100

obexftp (0.23-5) unstable; urgency=medium

  * QA upload.
  * Build using dpkg-buildflags.
  * Replace obsolete STR2CSTR macro with StringValuePointer.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Sep 2015 22:55:27 +0200

obexftp (0.23-4) unstable; urgency=medium

  * QA upload.
  * Fix "FTBFS: format not a string literal and no format arguments
    [-Werror=format-security]": add patch which adds a format argument.
    (Closes: #757754)
  * Build-depend on and use dh-autoreconf.
    (Closes: #727476)

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2014 17:28:21 +0200

obexftp (0.23-3) unstable; urgency=medium

  * QA upload.
  * Fix "hardcodes /usr/lib/perl5":
    dynamically set perl library path in debian/rules from $Config{vendorarch}
    (Closes: #752799)
  * Add missing license to debian/copyright.
    (Closes: #750564)

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Jul 2014 19:51:27 +0200

obexftp (0.23-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group
  * Prefix installation path (sitearchdir) for the Ruby library with DESTDIR,
    so that ruby2.1 does not try to install in a location relative to /
    (Closes: #747826)
  * Rename libobexftp-ruby to ruby-obexftp, keep a transitional package to
    ease the upgrade process (Closes: #722390)

 -- Cédric Boutillier <boutil@debian.org>  Fri, 30 May 2014 23:19:18 +0200

obexftp (0.23-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with multiarched Ruby interpreters (Closes: #739777)
    - pass vendorarchdir for the path installation of Ruby bindings
    - do not explicitly touch the path of Ruby libraries in debian/rules, as
      the library gets installed at right place in the first place.
    - change path in debian/libobexftp-ruby.install to leave space for the
      architecture name.

 -- Cédric Boutillier <boutil@debian.org>  Wed, 23 Apr 2014 15:09:07 +0200

obexftp (0.23-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616920).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 01 Jun 2013 13:55:54 +0200

obexftp (0.23-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added patches to fix FTBFS.  Closes: #676084.
    + debian/patches/format.diff
    + debian/patches/rstring.diff

 -- Bart Martens <bartm@debian.org>  Wed, 18 Jul 2012 05:46:10 +0000

obexftp (0.23-1) unstable; urgency=low

  * New upstream release
  * Remove all patches, all were applied equally upstream
  * Rework the descriptions of all packages (closes: #522169)
  * Fix manpage links from obex(rm|ls|get|put) to obexftp (closes: #522302)
  * Put libobexftp-ruby into the right section
  * Fix the way of giving build (and if cross-building host) types to configure
  * Bump standards version to 3.8.3.0: no changes needed
  * Add ruby to Build-Depends

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 03 Oct 2009 10:37:15 +0200

obexftp (0.22-1) unstable; urgency=low

  * New upstream release (closes: #394339, #398068)
  * Remove all old patches, all were applied equally upstream
  * Bump debhelper compatibility to 7
  * Add Homepage source package control field
  * Compile all libs as shared objects and split them into separate packages
    libobexftp0, libmulticobex1 and libbfb0
  * Add python-obexftp package for the Python binding:


=== debian/control ===
Source: obexftp
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 chrpath,
 cmake,
 debhelper (>= 9),
 doxygen,
 gem2deb,
 libbluetooth-dev,
 libopenobex2-dev,
 pkg-config,
 python-dev,
 swig,
Standards-Version: 3.9.7
Homepage: http://triq.net/obex
Vcs-Git: https://anonscm.debian.org/git/collab-maint/obexftp.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/obexftp.git

Package: obexftp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libobexftp1,
Provides:
 flexmem,
Description: file transfer utility for devices that use the OBEX protocol
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This is the command line front-end that fully uses the capabilities of
 libobexftp.

Package: libbfb0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: bfb protocol library
 This library adds support for OBEX protocol over BFB/BFC, some Siemens
 Mobile specific protocols that are used with the serial cables for S25,
 S35 and almost all later phones that include a modem, also those
 labeled as BenQ Mobile.
 .
 This package contains the runtime library.

Package: libbfb0-dev
Architecture: any
Section: libdevel
Provides:
 libbfb-dev,
Conflicts:
 libbfb-dev,
 libobexftp-dev (<< 0.22),
Depends:
 libbfb0 (= ${binary:Version}),
 ${misc:Depends},
Description: bfb protocol library - development files
 This library adds support for OBEX protocol over BFB/BFC, some Siemens
 Mobile specific protocols that are used with the serial cables for S25,
 S35 and almost all later phones that include a modem, also those
 labeled as BenQ Mobile.
 .
 This package contains the development files.

Package: libmulticobex1
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: multi-protocol cable OBEX library
 This library add support for making use of several ways to use OBEX
 over serial lines. Phones from several vendors are supported.
 .
 This package contains the runtime library.

Package: libmulticobex1-dev
Architecture: any
Section: libdevel
Provides:
 libmulticobex-dev,
Conflicts:
 libmilticobex-dev,
 libobexftp-dev (<< 0.22),
Depends:
 libbfb-dev,
 libmulticobex1 (= ${binary:Version}),
 ${misc:Depends},
Description: multi-protocol cable OBEX library - development files
 This library add support for making use of several ways to use OBEX
 over serial lines. Phones from several vendors are supported.
 .
 This package contains the development files.

Package: libobexftp0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: object exchange file transfer library
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the runtime library.

Package: libobexftp0-dev
Architecture: any
Section: libdevel
Provides:
 libobexftp-dev,
Conflicts:
 libobexftp-dev (<< 0.22),
Replaces:
 libobexftp-dev (<< 0.22),
Depends:
 libmulticobex1-dev,
 libobexftp0 (= ${binary:Version}),
 libopenobex2-dev,
 ${misc:Depends},
Description: object exchange file transfer library - development files
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the development files.

Package: python-obexftp
Architecture: any
Section: python
Provides:
 ${python:Provides},
Depends:
 libobexftp0 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Python binding to the object exchange file transfer library
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the binding for the Python programming language.

Package: ruby-obexftp
Architecture: any
Section: ruby
Depends:
 libobexftp0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 ${ruby:Depends},
Breaks:
 libobexftp-ruby (<< 0.23-2~),
Replaces:
 libobexftp-ruby (<< 0.23-2~),
Provides:
 libobexftp-ruby,
Description: ruby binding to the object exchange file transfer library
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the binding for the Ruby programming language.

Package: libobexftp-perl
Architecture: any
Section: perl
Depends:
 libobexftp0 (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: perl binding to the object exchange file transfer library
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the binding for the Perl programming language.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -DOBEXFTP_DEBUG=5
endif

PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
RUBY_DEPENDS := -Vruby:Depends="lib$(firstword $(shell dh_ruby --print-supported))"

%:
	dh $@ --parallel --with python2

override_dh_gencontrol:
	dh_gencontrol -- $(RUBY_DEPENDS)

override_dh_auto_build:
	dh_auto_build
	doxygen

override_dh_install:
	sed -e 's;@PERL_ARCHLIB@;$(PERL_ARCHLIB);g;' $(CURDIR)/debian/libobexftp-perl.install.in > $(CURDIR)/debian/libobexftp-perl.install
	dh_install --fail-missing -X.la

override_dh_installdocs:
	dh_installdocs -XCOPYING -XINSTALL -Xobexftp.1

override_dh_installexamples:
	dh_installexamples -plibobexftp0-dev examples/c_example*.c
	#dh_installexamples -plibobexftp0-dev examples/tcl_*.tcl  # tcl is currently disabled
	dh_installexamples -plibobexftp-perl examples/perl_*.pl
	dh_installexamples -ppython-obexftp examples/python_*.py
	dh_installexamples -pruby-obexftp examples/ruby_*.rb

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/libobexftp0-dev/usr/share/doc/libobexftp0-dev/examples/c_example*.c

=== debian/watch ===
version=3
http://triq.net/obexftp/obexftp-(.*)\.tar\.gz
http://triq.net/obexftp/obexftp-(.*)\.tar\.bz2

## obexftp 0.24.2

=== debian/changelog ===
obexftp (0.24.2-1) unstable; urgency=medium

  * QA upload
  * Drop obexautofs and obexfs executables (Closes: #1084419)
  * Scan Sourceforge for releases
  * New upstream version 0.24.2
  * d/copyright: Convert to machine-readable format
  * Rebase patches
  * Drop lintian overrides

 -- Bastian Germann <bage@debian.org>  Fri, 19 Dec 2025 22:26:23 +0100

obexftp (0.24-11) unstable; urgency=medium

  * QA upload.
  * Refresh patches.
  * Drop versioned BD on dpkg-dev, since it is satisfied in trixie.
  * Apply upstream patch to build manpages by default. Closes: #858496.
  * Add build-dependencies on asciidoc and xmlto.
  * Fix FTBFS with CMake 4. Closes: #1113337.
  * Fix clean target. Closes: #1047968.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 02 Dec 2025 23:30:00 +0100

obexftp (0.24-10) unstable; urgency=medium

  * QA upload.
  * debian/: Drop hard-coded librubyX.Y dependency and link module with
    libruby to generate proper dependencies
  * debian/control: Replace pkg-config with pkgconf
  * debian/rules: Check build profiles via DEB_BUILD_PROFILES instead of the
    list of packages

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Apr 2024 21:56:08 +0200

obexftp (0.24-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063222

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:38:07 +0000

obexftp (0.24-9) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Set ruby paths (Closes: #1022983)

  [ Chris Hofstaedtler ]
  * Takeover obexfs (Closes: #820188)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 20 Dec 2022 02:01:53 +0000

obexftp (0.24-8) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/control: Remove Build-Depends on rpath, as it is unused.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libbfb0: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 12:31:56 +0000

obexftp (0.24-7) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Helmut Grohne ]
  * Support build profiles noperl and noruby. (Closes: #1003144)
  * Make obexftp cross build with just noruby:
    + Add missing build dependency on perl-xs-dev.
    + Export a PERL5LIB containing the cross config.

  [ Vagrant Cascadian ]
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override.
  * Update to debhelper-compat 13.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 11 Jul 2022 14:45:14 -0700

obexftp (0.24-6) unstable; urgency=medium

  * QA upload.
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:51:26 +0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: obexftp
 Section: comm
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- chrpath,
+ asciidoc,
  cmake,
- debhelper (>= 9),
+ debhelper-compat (= 13),
  doxygen,
- gem2deb,
+ dh-sequence-ruby <!noruby>,
+ gem2deb <!noruby>,
  libbluetooth-dev,
  libopenobex2-dev,
- pkg-config,
- python-dev,
- swig,
-Standards-Version: 3.9.7
-Homepage: http://triq.net/obex
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/obexftp.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/obexftp.git
+ perl-xs-dev <!noperl>,
+ pkgconf,
+ ruby-dev <!noruby>,
+ swig <!noperl> <!noruby>,
+ xmlto,
+Standards-Version: 4.7.2
+Homepage: https://sourceforge.net/projects/openobex/
+Vcs-Git: https://salsa.debian.org/debian/obexftp.git
+Vcs-Browser: https://salsa.debian.org/debian/obexftp
 
 Package: obexftp
 Architecture: any
@@ -26,8 +27,12 @@
  ${shlibs:Depends},
 Conflicts:
  libobexftp1,
+ obexfs,
+Replaces:
+ obexfs
 Provides:
  flexmem,
+ obexfs
 Description: file transfer utility for devices that use the OBEX protocol
  OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
  OBEX is optimized for ad-hoc links and can be used to exchange
@@ -36,14 +41,18 @@
  links.
  .
  This is the command line front-end that fully uses the capabilities of
- libobexftp.
+ libobexftp. It also includes obexfs, the FUSE backend.
 
-Package: libbfb0
+Package: libbfb0t64
+Provides: ${t64:Provides}
+Replaces: libbfb0
+Breaks: libbfb0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Multi-Arch: same
 Description: bfb protocol library
  This library adds support for OBEX protocol over BFB/BFC, some Siemens
  Mobile specific protocols that are used with the serial cables for S25,
@@ -61,7 +70,7 @@
  libbfb-dev,
  libobexftp-dev (<< 0.22),
 Depends:
- libbfb0 (= ${binary:Version}),
+ libbfb0t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: bfb protocol library - development files
  This library adds support for OBEX protocol over BFB/BFC, some Siemens
@@ -71,7 +80,10 @@
  .
  This package contains the development files.
 
-Package: libmulticobex1
+Package: libmulticobex1t64
+Provides: ${t64:Provides}
+Replaces: libmulticobex1
+Breaks: libmulticobex1 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends:
@@ -93,7 +105,7 @@
  libobexftp-dev (<< 0.22),
 Depends:
  libbfb-dev,
- libmulticobex1 (= ${binary:Version}),
+ libmulticobex1t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: multi-protocol cable OBEX library - development files
  This library add support for making use of several ways to use OBEX
@@ -101,7 +113,10 @@
  .
  This package contains the development files.
 
-Package: libobexftp0
+Package: libobexftp0t64
+Provides: ${t64:Provides}
+Replaces: libobexftp0
+Breaks: libobexftp0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends:
@@ -127,7 +142,7 @@
  libobexftp-dev (<< 0.22),
 Depends:
  libmulticobex1-dev,
- libobexftp0 (= ${binary:Version}),
+ libobexftp0t64 (= ${binary:Version}),
  libopenobex2-dev,
  ${misc:Depends},
 Description: object exchange file transfer library - development files
@@ -139,33 +154,14 @@
  .
  This package contains the development files.
 
-Package: python-obexftp
-Architecture: any
-Section: python
-Provides:
- ${python:Provides},
-Depends:
- libobexftp0 (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Description: Python binding to the object exchange file transfer library
- OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
- OBEX is optimized for ad-hoc links and can be used to exchange
- all kind of objects like files, pictures, calendar entries (vCal)
- and business cards (vCard) over bluetooth, IrDA, USB and serial cable
- links.
- .
- This package contains the binding for the Python programming language.
-
 Package: ruby-obexftp
 Architecture: any
 Section: ruby
+Build-Profiles: <!noruby>
 Depends:
- libobexftp0 (= ${binary:Version}),
+ libobexftp0t64 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
- ${ruby:Depends},
+ ${shlibs:Depends}
 Breaks:
  libobexftp-ruby (<< 0.23-2~),
 Replaces:
@@ -184,8 +180,9 @@
 Package: libobexftp-perl
 Architecture: any
 Section: perl
+Build-Profiles: <!noperl>
 Depends:
- libobexftp0 (= ${binary:Version}),
+ libobexftp0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${perl:Depends},
  ${shlibs:Depends},

=== debian/watch ===
Version: 5

Source: https://sf.net/openobex/
Matching-Pattern: obexftp-@ANY_VERSION@-Source@ARCHIVE_EXT@
